## gcc-defaults 1.98ubuntu3

=== debian/changelog ===
gcc-defaults (1.98ubuntu3) natty; urgency=low

  * debian/control: g++-multilib also needs to depend on gcc-multilib in
    order for this symlink to be picked up everywhere it needs to be.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Apr 2011 15:52:36 -0700

gcc-defaults (1.98ubuntu2) natty; urgency=low

  * debian/rules: make gcc-multilib ship a /usr/include/asm compat symlink
    for purposes of multiarch backwards-compatibility, and pre-depend on
    linux-libc-dev (>= 2.6.38-8.42) for this changed path.  LP: #750585.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Apr 2011 00:28:58 -0700

gcc-defaults (1.98ubuntu1) natty; urgency=low

  * Bump dependencies to 4.5.2.
  * Stop building gpc and gpc-doc.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Apr 2011 15:21:41 +0200

gcc-defaults (1.97ubuntu4) natty; urgency=low

  * debian/rules: Fix libgcj-bc.so.1 symlink for multiarch path, when building
    on natty and later.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 24 Mar 2011 12:18:33 +0100

gcc-defaults (1.97ubuntu3) natty; urgency=low

  * libgcj-common (rebuild-gcj-db): Rebuild the database for gcj-4.5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Oct 2010 00:52:07 +0200

gcc-defaults (1.97ubuntu2) natty; urgency=low

  * Fix versioned gdc dependency.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Oct 2010 13:58:52 +0200

gcc-defaults (1.97ubuntu1) natty; urgency=low

  * Merge with unstable; remaining changes:
    - Build the -doc packages.
    - Keep the fsf-funding document.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Oct 2010 15:49:08 +0200

gcc-defaults (1.97exp1) experimental; urgency=low

  * Bump dependencies to 4.5.1.
  * Bump gdc to 4.4.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Oct 2010 10:57:14 +0200
