=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, Arthur Loiret <aloiret@debian.org>
 Standards-Version: 3.9.1
-Build-Depends: m4, debhelper (>= 5), dpkg-dev (>= 1.13.9), gcj-4.4-base (>= 4.4.5~) [!arm], gcc-4.4-base (>= 4.4.5~), lsb-release
+Build-Depends: m4, debhelper (>= 5), dpkg-dev (>= 1.16.0~ubuntu4), gcj-4.5-base (>= 4.5.1~) [!arm], gcc-4.5-base (>= 4.5.1~), lsb-release
 Build-Depends-Indep: ca-certificates, gcj-jdk, python
 XS-Python-Version: all
 
@@ -38,7 +38,7 @@
 Package: g++-multilib
 Priority: optional
 Architecture: amd64 i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sparc
-Depends: cpp (>= ${version:cpp}), g++ (>= ${version:cpp}), g++-${pv:gpp}-multilib ${reqv:gpp}, ${misc:Depends}
+Depends: cpp (>= ${version:cpp}), g++ (>= ${version:cpp}), g++-${pv:gpp}-multilib ${reqv:gpp}, ${misc:Depends}, gcc-multilib
 Description: The GNU C++ compiler (multilib files)
  This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
  .
@@ -216,22 +216,22 @@
  The package contains as well a collection of wrapper scripts and symlinks.
  It is meant to provide a Java-RTE-like interface to the GIJ/GCJ tool set.
 
-Package: gpc
-Priority: optional
-Architecture: any
-Depends: cpp (>= ${version:cpp}), gcc (>= ${version:cpp}), gpc-${pv:gpc} ${reqv:gpc}, ${misc:Depends}
-Suggests: gpc-doc
-Conflicts: gpc-doc (<< 1:2.95.3)
-Provides: pascal-compiler
-Description: The GNU Pascal compiler
- This is the GNU Pascal compiler, which compiles Pascal on platforms supported
- by the gcc compiler. It uses the gcc backend to generate optimized code.
- .
- The current version 2.2 (release candidate 2) implements Standard Pascal
- (ISO 7185, level 1), a large subset of Extended Pascal (ISO 10206), and
- Borland Pascal. Many Borland Pascal units supported.
- .
- This is a dependency package providing the default GNU Pascal compiler.
+#Package: gpc
+#Priority: optional
+#Architecture: any
+#Depends: cpp (>= ${version:cpp}), gcc (>= ${version:cpp}), gpc-${pv:gpc} ${reqv:gpc}, ${misc:Depends}
+#Suggests: gpc-doc
+#Conflicts: gpc-doc (<< 1:2.95.3)
+#Provides: pascal-compiler
+#Description: The GNU Pascal compiler
+# This is the GNU Pascal compiler, which compiles Pascal on platforms supported
+# by the gcc compiler. It uses the gcc backend to generate optimized code.
+# .
+# The current version 2.2 (release candidate 2) implements Standard Pascal
+# (ISO 7185, level 1), a large subset of Extended Pascal (ISO 10206), and
+# Borland Pascal. Many Borland Pascal units supported.
+# .
+# This is a dependency package providing the default GNU Pascal compiler.
 
 Package: gcc
 Priority: optional
@@ -250,20 +250,21 @@
 Priority: optional
 Architecture: amd64 i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sparc
 Depends: cpp (>= ${version:cpp}), gcc (>= ${version:gcc}), gcc-${pv:gcc}-multilib ${reqv:gcc}, ${misc:Depends}
+Pre-Depends: linux-libc-dev (>= 2.6.38-8.42)
 Description: The GNU C compiler (multilib files)
  This is the GNU C compiler, a fairly portable optimizing compiler for C.
  .
  On architectures with multilib support, the package contains dependencies
  for the non-default multilib architecture(s).
 
-Package: gpc-doc
-Section: doc
-Architecture: any
-Priority: optional
-Depends: gpc-${pv:gpc}-doc ${reqv:gpc}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
-Suggests: gpc (>= ${version:gpc})
-Description: Documentation for the GNU Pascal compiler (gpc)
- Documentation for the GNU Pascal compiler in info format (dependency package).
+#Package: gpc-doc
+#Section: doc
+#Architecture: any
+#Priority: optional
+#Depends: gpc-${pv:gpc}-doc ${reqv:gpc}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
+#Suggests: gpc (>= ${version:gpc})
+#Description: Documentation for the GNU Pascal compiler (gpc)
+# Documentation for the GNU Pascal compiler in info format (dependency package).
 
 Package: gdc
 Priority: optional
@@ -272,8 +273,3 @@
 Replaces: gdc-4.1 (<< 0.25-4.1.2-18), gdc-4.2 (<< 0.25-4.2.2-7), gdc-4.3 (<< 1:1.043-4.3.4-1)
 Description: The D compiler
  This is a dependency package providing the default D compiler.
- Per policy, all packages that contain D sources must use this package
- in their Build-Depends line.
-
-Package: gcc-spu
-Architecture: powerpc ppc64
