=== debian/rules ===
--- 
+++ 
@@ -103,8 +103,13 @@
 # gcc-defaults 1.96 is the first version with 4.4.5 support.
 REL_NO_445	:= $(shell expr $(VMINOR) - 95)$(REL_EXT)
 
+# gcc-defaults 1.97 is the first version with 4.5 support.
+REL_NO_451	:= $(shell expr $(VMINOR) - 96)$(REL_EXT)
+# gcc-defaults 1.98 is the first version with 4.5.2 support.
+REL_NO_452	:= $(shell expr $(VMINOR) - 97)$(REL_EXT)
+
 GPC_VERSION	:= 2.1
-GDC_VERSION	:= 1:1.060
+GDC_VERSION	:= 1.063
 
 # minimum required gcc-X.Y versions
 REQV_295	:= (>= 1:2.95.4-16)
@@ -122,14 +127,16 @@
 REQV_42_GCJ	:= (>= 4.2.4-1)
 REQV_43		:= (>= 4.3.5-1)
 REQV_43_GDC	:= (>= $(GDC_VERSION)-4.3.5-1)
-REQV_44		:= (>= 4.4.4-2)
 REQV_44		:= (>= 4.4.5-1~)
+REQV_44_GDC	:= (>= $(GDC_VERSION)-4.4.5-1)
+REQV_45		:= (>= 4.5.2-1~)
 
-REQV_LIBGCJ_BC	:= (>= 4.4.5-1~)
+REQV_LIBGCJ_BC	:= (>= 4.5.2-1~)
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_MULTIARCH	:= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # gcj-4.4 has some regressions in the testsuite compared to 4.3
 # results on alpha are bad in both 4.3 and 4.4.
@@ -139,19 +146,19 @@
 CV_CHILL:= 2.95.4-$(REL_NO_295)
 CV_GPC	:= 3.4.6-$(REL_NO_346)
 
-CV_CPP		:= 4.4.5-$(REL_NO_445)
-CV_GCC		:= 4.4.5-$(REL_NO_445)
-CV_GPP		:= 4.4.5-$(REL_NO_445)
-CV_GOBJC	:= 4.4.5-$(REL_NO_445)
-CV_GOBJCXX	:= 4.4.5-$(REL_NO_445)
-CV_GFORT	:= 4.4.5-$(REL_NO_445)
-CV_GCJ		:= 4.4.5-$(REL_NO_445)
-CV_GIJ		:= 4.4.5-$(REL_NO_445)
-CV_LIBGCJBC	:= 4.4.5-$(REL_NO_445)
+CV_CPP		:= 4.5.2-$(REL_NO_452)
+CV_GCC		:= 4.5.2-$(REL_NO_452)
+CV_GPP		:= 4.5.2-$(REL_NO_452)
+CV_GOBJC	:= 4.5.2-$(REL_NO_452)
+CV_GOBJCXX	:= 4.5.2-$(REL_NO_452)
+CV_GFORT	:= 4.5.2-$(REL_NO_452)
+CV_GCJ		:= 4.5.2-$(REL_NO_452)
+CV_GIJ		:= 4.5.2-$(REL_NO_452)
+CV_LIBGCJBC	:= 4.5.2-$(REL_NO_452)
 CV_GPC		:= $(GPC_VERSION)-4.1.2-$(REL_NO_412)
-CV_GDC		:= 4.3.5-$(REL_NO_435)
-CV_LIBGCJCOMMON	:= 1:4.4.5-$(REL_NO_445)
-CV_SPU		:= 4.4.5-$(REL_NO_445)
+CV_GDC		:= 4.4.5-$(REL_NO_445)
+CV_LIBGCJCOMMON	:= 1:4.5.2-$(REL_NO_452)
+CV_SPU		:= 4.5.2-$(REL_NO_452)
 
 #ifneq (,$(filter $(DEB_HOST_ARCH), $(gcj44_archs)))
 #  CV_GCJ		:= 4.4.2-$(REL_NO_442)
@@ -162,31 +169,27 @@
 REQV_CHILL	= $(REQV_295)
 REQV_GPC	= $(REQV_34)
 
-REQV_CPP	= $(REQV_44)
-REQV_GCC	= $(REQV_44)
-REQV_GPP	= $(REQV_44)
-REQV_GOBJC	= $(REQV_44)
-REQV_GOBJCXX	= $(REQV_44)
-REQV_GFORT	= $(REQV_44)
-REQV_GCJ	= $(REQV_44)
-REQV_GIJ	= $(REQV_44)
+REQV_CPP	= $(REQV_45)
+REQV_GCC	= $(REQV_45)
+REQV_GPP	= $(REQV_45)
+REQV_GOBJC	= $(REQV_45)
+REQV_GOBJCXX	= $(REQV_45)
+REQV_GFORT	= $(REQV_45)
+REQV_GCJ	= $(REQV_45)
+REQV_GIJ	= $(REQV_45)
 REQV_GPC	= $(REQV_41_GPC)
-REQV_GDC	= $(REQV_43_GDC)
-REQV_SPU	= $(REQV_44)
+REQV_GDC	= $(REQV_44_GDC)
+REQV_SPU	= $(REQV_45)
 
 EPOCH=4
 EPOCH_GPC=5
 OS_NAME	:= Linux
 distribution := $(shell lsb_release -is)
+distrelease  := $(shell lsb_release -cs)
 all_packages    := g++ gfortran gcj gobjc gobjc++ gpc gdc
 all_packages	+= gcc-spu g++-spu gfortran-spu
 no_packages	:= chill
 
 lib32 = /usr/lib32
 
-LIBGCJ	= libgcj10
-LIBGCJ_PC	= libgcj10.pc
-LIBGCJ_SONAME	= 10
-
-gcj_archs = alpha amd64 armel hppa i386 ia64 lpia m68k mips mipsel powerpc powerpcspe ppc64 s390 sh4 sparc sparc64 kfreebsd-amd64 kfreebsd-i386 hurd-i386
-gcj_native_archs = alpha amd64 armel hppa i386 ia64 lpia mips mipsel powerpc powerpcspe ppc64 s390 sh4 sparc sparc64 kfreebsd-amd64 kfreebsd-i386 hurd-i386
+# is this a multiarch-enabled build?
